﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data.Linq;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace MetrologSW
{
    public static class Filtr
    {
        private static DataClasses1DataContext dc = Databaze.dc;
        public static ObservableCollection<Evidence> oc = new ObservableCollection<Evidence>();

        public static void GetFilter(object sender)
        {
            oc.Clear();

            var query = dc.Evidence.Select(x => x);

            if (sender.GetType() == typeof(MenuItem))
            {
                switch (((MenuItem)sender).Name)
                {
                    case "_ok":
                        query = (dc.Evidence.Where(x => x.Kalibrace1.Datum.Value.AddYears((int)x.Meridlo1.KalPerioda.Value) > DateTime.Today));
                        break;
                    case "_prosle":
                        query = (dc.Evidence.Where(x => x.Kalibrace1.Datum.Value.AddYears((int)x.Meridlo1.KalPerioda.Value) < DateTime.Today));
                        break;
                    case "_projde1":
                        query = (dc.Evidence.Where(x => x.Kalibrace1.Datum.Value.AddYears((int)x.Meridlo1.KalPerioda.Value) < DateTime.Today.AddMonths(1)));
                        break;
                    case "_projde2":
                        query = (dc.Evidence.Where(x => x.Kalibrace1.Datum.Value.AddYears((int)x.Meridlo1.KalPerioda.Value) < DateTime.Today.AddMonths(2)));
                        break;
                    case "_projde3":
                        query = (dc.Evidence.Where(x => x.Kalibrace1.Datum.Value.AddYears((int)x.Meridlo1.KalPerioda.Value) < DateTime.Today.AddMonths(3)));
                        break;
                    default:
                        query = (dc.Evidence);
                        break;
                }
            }
            else throw new FormatException("Volající objekt není správného typu.");

            if (query != null)
            {
                foreach (Evidence ev in query)
                {
                    oc.Add(ev);
                }
            }
        }
    }
}
