﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MetrologSW
{
    /// <summary>
    /// Interakční logika pro OknoKalibrace.xaml
    /// </summary>
    public partial class OknoKalibrace : Window
    {
        Kalibrace k;
        Evidence ev;
        DataClasses1DataContext dc;

        public OknoKalibrace(Kalibrace kalibrace, DataClasses1DataContext dataContext, Evidence evidence)
        {
            InitializeComponent();
            
            if (evidence == null)
            {
                throw new Exception("Ke kalibraci není přiřazená evidence měřidla.");
            }

            k = kalibrace;
            ev = evidence;
            dc = dataContext;

            DataContext = ev;
        }

        #region Events

        private void bPridatMeridlo_Click(object sender, RoutedEventArgs e)
        {
            OknoMeridlo o = new OknoMeridlo(null, dc);
            o.ShowDialog();
        }

        private void bUpravitMeridlo_Click(object sender, RoutedEventArgs e)
        {
            OknoMeridlo o = new OknoMeridlo(ev.Meridlo1, dc);
            o.ShowDialog();
        }

        private void bPridatKalibroval_Click(object sender, RoutedEventArgs e)
        {
            OknoKontakt o = new OknoKontakt(null, dc);
            o.ShowDialog();
        }

        private void bUpravitKalibroval_Click(object sender, RoutedEventArgs e)
        {
            OknoKontakt o = new OknoKontakt(ev.Kalibrace1.Kontakt, dc);
            o.ShowDialog();
        }

        private void bOk_Click(object sender, RoutedEventArgs e)
        {
            MessageBoxResult question = MessageBox.Show("Uložit kalibraci?", "Uložit", MessageBoxButton.YesNoCancel, MessageBoxImage.Question);
            if (question == MessageBoxResult.Yes)
            {
                if (k == null)
                {
                    Kalibrace nova = new Kalibrace() { Evidence = ev.Kalibrace1.Evidence, KalibList = boxKalList.Text, Datum = dtKalibroval.SelectedDate };
                    dc.Kalibrace.InsertOnSubmit(nova);
                }
                dc.SubmitChanges();
                Close();
            }
            else if (question == MessageBoxResult.No)
                Close();
        }

        private void bCancel_Click(object sender, RoutedEventArgs e)
        {
            if (MessageBox.Show("Zavřít okno bez uložení?", "Uložit", MessageBoxButton.YesNo, MessageBoxImage.Question) == MessageBoxResult.Yes)
                Close();
        }

        #endregion

        private bool Validace()
        {
            return true;
        }

    }
}
