﻿using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MetrologSW
{
    /// <summary>
    /// Interakční logika pro OknoMisto.xaml
    /// </summary>
    public partial class OknoMisto : Window
    {
        Misto m;
        DataClasses1DataContext dc;

        public OknoMisto(Misto misto, DataClasses1DataContext dataContext)
        {
            InitializeComponent();

            m = misto;

            dc = dataContext;
            DataContext = dc.Misto;

            if (misto == null)
                cbMisto.IsEnabled = false;
            else
                cbMisto.IsEnabled = true;

            //GetStrediska();
            GetMista();
        }

        private void GetStrediska()
        {
            //boxStredisko.ItemsSource = dc.Misto.Select(x => x.Stredisko).Distinct();
            //boxStredisko.SelectedItem = m?.Stredisko;
        }

        private void GetMista()
        {
            cbMisto.ItemsSource = dc.Misto.OrderBy(x => x.Stredisko).ThenBy(x => x.Umísteni);
            cbMisto.SelectedItem = m;
        }

        private void btnOk_Click(object sender, RoutedEventArgs e)
        {
            MessageBoxResult question = MessageBox.Show("Uložit provedené změny?", "Uložit", MessageBoxButton.YesNoCancel, MessageBoxImage.Question);
            if (question == MessageBoxResult.Yes)
            {
                if (Validace())
                {
                    if (cbMisto.SelectedItem == null)
                    {
                        Misto nove = new Misto() { Stredisko = boxStredisko.Text.ToString(), Umísteni = boxUmisteni.Text.ToString().Trim() };
                        dc.Misto.InsertOnSubmit(nove);
                    }

                    dc.SubmitChanges();
                }

                Close();
            }
            else if(question == MessageBoxResult.No)
            {
                Close();
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            if (MessageBox.Show("Přejete si odejít bez uložení?","Otázka", MessageBoxButton.YesNo, MessageBoxImage.Question) == MessageBoxResult.Yes)
            {
                Close(); 
            }
        }

        private bool Validace()
        {
            return boxUmisteni.Text != "" && boxStredisko.Text != null ? true : false;
        }
    }
}
