﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MetrologSW
{
    /// <summary>
    /// Interakční logika pro OknoUzivatel.xaml
    /// </summary>
    public partial class OknoUzivatel : Window
    {
        public Uzivatel u;
        private DataClasses1DataContext dc;

        public OknoUzivatel(Uzivatel uzivatel, DataClasses1DataContext dataContext)
        {
            InitializeComponent();

            u = uzivatel;

            DataContext = u;
            dc = dataContext;

            GetUzivatele();
        }

        private void btnOk_Click(object sender, RoutedEventArgs e)
        {
            MessageBoxResult question = MessageBox.Show("Přejete si uložit provedené změny?", "Upozornění", MessageBoxButton.YesNoCancel, MessageBoxImage.Question);
            if (question == MessageBoxResult.Yes)
            {
                if (u == null)
                {
                    Uzivatel novy = new Uzivatel() { OsCislo = boxOsC.Text, Prijmeni = boxPrijmeni.Text, Jmeno = boxJmeno.Text };
                    dc.Uzivatel.InsertOnSubmit(novy);
                }
                
                dc.SubmitChanges();
                Close();
            }
            else if(question == MessageBoxResult.No)
                Close();
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            if (MessageBox.Show("Ukončit bez uložení?", "Upozornění", MessageBoxButton.YesNo, MessageBoxImage.Question) == MessageBoxResult.Yes)
                Close();
        }

        private void GetUzivatele()
        {
            if (u != null)
            {
                cbUzivatel.IsEnabled = true;
                cbUzivatel.ItemsSource = dc.Uzivatel.OrderBy(x => x.Prijmeni).ThenBy(x => x.Jmeno);
                cbUzivatel.SelectedItem = u;
            }
            else
                cbUzivatel.IsEnabled = false;
        }
    }
}
