USE [master]
GO

CREATE DATABASE [metrology_db]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'metrology_db', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\metrology_db.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'metrology_db_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\metrology_db_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO

ALTER DATABASE [metrology_db] SET COMPATIBILITY_LEVEL = 140
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [metrology_db].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [metrology_db] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [metrology_db] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [metrology_db] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [metrology_db] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [metrology_db] SET ARITHABORT OFF 
GO

ALTER DATABASE [metrology_db] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [metrology_db] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [metrology_db] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [metrology_db] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [metrology_db] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [metrology_db] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [metrology_db] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [metrology_db] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [metrology_db] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [metrology_db] SET  DISABLE_BROKER 
GO

ALTER DATABASE [metrology_db] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [metrology_db] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [metrology_db] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [metrology_db] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [metrology_db] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [metrology_db] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [metrology_db] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [metrology_db] SET RECOVERY FULL 
GO

ALTER DATABASE [metrology_db] SET  MULTI_USER 
GO

ALTER DATABASE [metrology_db] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [metrology_db] SET DB_CHAINING OFF 
GO

ALTER DATABASE [metrology_db] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [metrology_db] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO

ALTER DATABASE [metrology_db] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [metrology_db] SET QUERY_STORE = OFF
GO

USE [metrology_db]
GO

ALTER DATABASE SCOPED CONFIGURATION SET IDENTITY_CACHE = ON;
GO

ALTER DATABASE SCOPED CONFIGURATION SET LEGACY_CARDINALITY_ESTIMATION = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET LEGACY_CARDINALITY_ESTIMATION = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET MAXDOP = 0;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET MAXDOP = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET PARAMETER_SNIFFING = ON;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET PARAMETER_SNIFFING = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET QUERY_OPTIMIZER_HOTFIXES = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET QUERY_OPTIMIZER_HOTFIXES = PRIMARY;
GO

ALTER DATABASE [metrology_db] SET  READ_WRITE 
GO

/****** KONTAKT ******/

USE [metrology_db]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Kontakt](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Spolecnost] [nvarchar](50) NULL,
	[Prijmeni] [nvarchar](50) NULL,
	[Jmeno] [nvarchar](50) NULL,
	[Email1] [nvarchar](50) NULL,
	[Email2] [nvarchar](50) NULL,
	[Telefon] [nvarchar](50) NULL,
	[Telefon2] [nvarchar](50) NULL,
	[Web] [nvarchar](50) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

USE [metrology_db]
GO

/****** KALIBRACE ******/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Kalibrace](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[KalibList] [nvarchar](50) NULL,
	[Datum] [date] NULL,
	[Stav] [float] NULL,
	[Kalibroval] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Kalibrace]  WITH CHECK ADD  CONSTRAINT [FK_Kalibrace_Kontakt] FOREIGN KEY([Kalibroval])
REFERENCES [dbo].[Kontakt] ([Id])
GO

ALTER TABLE [dbo].[Kalibrace] CHECK CONSTRAINT [FK_Kalibrace_Kontakt]
GO

 /****** UZIVATEL ******/

USE [metrology_db]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Uzivatel](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Prijmeni] [nvarchar](50) NOT NULL,
	[Jmeno] [nvarchar](50) NULL,
	[OsCislo] [nchar](10) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

 /****** MISTO ******/

USE [metrology_db]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Misto](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Stredisko] [nvarchar](50) NULL,
	[Umsteni] [nvarchar](50) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

 /****** MERIDLO ******/

USE [metrology_db]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Meridlo](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Obor] [nvarchar](50) NOT NULL,
	[Nazev] [nvarchar](50) NOT NULL,
	[RozsahMin] [float] NULL,
	[RozsahMax] [float] NULL,
	[Rozlisitelnost] [float] NULL,
	[Jednotky] [nvarchar](50) NULL,
	[KalPerioda] [float] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
  
 /****** EVIDENCE ******/
 
USE [metrology_db]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Evidence](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[EvCislo] [nchar](10) NOT NULL,
	[InvCislo] [nchar](10) NULL,
	[VyrCislo] [nchar](10) NULL,
	[Vyrobce] [nchar](50) NULL,
	[Prislusenstvi] [nchar](50) NULL,
	[Cena] [float] NULL,
	[Nakup] [date] NULL,
	[Kategorie] [nchar](10) NULL,
	[Meridlo] [int] NULL,
	[Uzivatel] [int] NULL,
	[Misto] [int] NULL,
	[Kalibrace] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Kalibrace] FOREIGN KEY([Kalibrace])
REFERENCES [dbo].[Kalibrace] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Kalibrace]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Meridlo] FOREIGN KEY([Meridlo])
REFERENCES [dbo].[Meridlo] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Meridlo]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Misto] FOREIGN KEY([Misto])
REFERENCES [dbo].[Misto] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Misto]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Uzivatel] FOREIGN KEY([Uzivatel])
REFERENCES [dbo].[Uzivatel] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Uzivatel]
GO


